package com.iformall.mapper;

import java.util.*;
import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxAuthorizerInfo;
import com.iformall.domain.vo.WxWeappInfo;

public interface WxAuthorizerInfoMapper extends CommonMapper<WxAuthorizerInfo, Long> {

	List<WxAuthorizerInfo> findList(WxAuthorizerInfo wxAuthorizerInfo);

    WxAuthorizerInfo findMp(WxAuthorizerInfo wxAuthorizerInfo);

    WxAuthorizerInfo findWeChatMp(WxAuthorizerInfo wxAuthorizerInfo);

    WxAuthorizerInfo findByAppid(String appId);

    int updateReleaseInfo(WxAuthorizerInfo wxAuthorizerInfo);

    int updateRefreshToken(WxAuthorizerInfo wxAuthorizerInfo);

    int updateAccessToken(WxAuthorizerInfo wxAuthorizerInfo);

    int updateAuthBackInfo(WxAuthorizerInfo wxAuthorizerInfo);

    int removeOpenAppId(WxAuthorizerInfo wxAuthorizerInfo);

    List<WxWeappInfo> findWeappList();

    List<WxWeappInfo> findWxMpList();

    List<WxWeappInfo> findVoList(WxWeappInfo wxWeappInfo);

    WxWeappInfo findVo(WxWeappInfo wxWeappInfo);
	
}
